Medibuntu installation on Oneric 11.10

Questions or tips about installing Openshot from distribution packages, source code or building packages.

Moderators: Andy, Cenwen, beats

Medibuntu installation on Oneric 11.10

Postby Cenwen » Wed Nov 02, 2011 9:11 pm

Hi everybody/Salut tout le monde,

I open a topic for the installation of the Medibuntu repository for is need for having the support of the H264 and 3gp format (not available in the "official" package for reasons licences)/
J'ouvre un sujet concernant l'installation du dépôt Medibuntu qui est necessaire afin d'obtenir le support des formats H264 et 3gp (non disponible avec le pacage "officiel" pour des raisons de licences)

You must open with a text editor (gedit for Gnome, kate for KDE, Lxeditor for LXDE,...) your sources list and add the following lines/
Vous devez ouvrir avec un éditeur de texte (gedit pour Gnome, kate pour KDE, LXeditor pour LXDE,....) votre sources listes et ajouter les lignes suivantes.

Code: Select all
##Depot Medibuntu
    deb http://packages.medibuntu.org/ oneiric free non-free




After that, you must add the key in a terminal like this:
Après ça, vous devez ajouter la clé dans un terminal de cette manière :

Code: Select all
wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add -




You close all and update your package list either in console either in your package manager (i.e.synaptic) :
Vous fermez tout et vous mettez à jour votre liste de paquets soit en console soit en utilisant votre gestionnaire de paquets (cad synaptic):

Code: Select all
sudo update && sudo install ffmpeg




We need to install the alternate version of libavformat... the one with h.264 and mp3 codecs. These package names vary from distribution to distribution, but it should be something similar to:
Nous avons besoin d'installer la version alternative de libavformat... celle avec les codecs h.264 et mp3. Les noms de ces paquetages varient d'un distributation à une autre, mais ils devraient être similaires à :
a) libavformat-extra
b) libavformat-unstripped

Close and re-launch OpenShot. You should now be able to use libmp3lame, h.264, and many other restricted formats.
Fermer et re-lancer OpenShot. Vous devriez maintenant être capable d'utiliser lipmp3lame, h.264 et beaucoup d'autres formats restreints.

And that all/Et c'est tout. :D
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France

Re: Medibuntu installation on Oneric 11.10

Postby Cenwen » Sun Jan 08, 2012 4:30 pm

Here a screenshot of the library which should be installed for using the Medibuntu version./Voici une capture d'écran des librairies qui devraient être installées pour utiliser la version de Medibuntu.
Attachments
ffmpeg_oneiric.png
This screenshot comes from an oneiric system
ffmpeg_oneiric.png (151.65 KiB) Viewed 16173 times
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France

Re: Medibuntu installation on Oneric 11.10

Postby pdemong » Tue Feb 07, 2012 2:56 am

Hi Cewen,

just a little mistake in this section :
Cenwen wrote:You close all and update your package list either in console either in your package manager (i.e.synaptic) :
Vous fermez tout et vous mettez à jour votre liste de paquets soit en console soit en utilisant votre gestionnaire de paquets (cad synaptic):

Code: Select all
sudo update && sudo install ffmpeg



The right instruction to type is :
Code: Select all
sudo apt-get update && sudo apt-get install ffmpeg


Thanks for this topic,

Patrick
pdemong
New member
 
Posts: 13
Joined: Tue Feb 07, 2012 2:53 am

Re: Medibuntu installation on Oneric 11.10

Postby Cenwen » Mon Feb 13, 2012 9:30 pm

Ouupsss. Right. Good point and sorry for this error. :roll:
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France

Re: Medibuntu installation on Oneric 11.10

Postby tomik » Thu Mar 15, 2012 5:58 pm

Hi,

I have installed Medibuntu and upgraded ffmpeg and other libs, but Openshot keeps crashing when I try to export the video.

Any help with this would be appreciated.

Thank you!

Tom

Code: Select all
on_mnuMakeMovie1_activate called with self.GtkImageMenuItem
on_tlbMakeMovie_clicked called with self.GtkImageMenuItem
on_cboExportType_changed
on_cboUploadServices_changed
on_cboProjectType_changed
on_cboExportTo_changed
on_cboProjectType_changed
on_btnExportVideo_clicked
NEW SDL CONSUMER
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
GenerateXML for an Effect
Segmentation fault
tomik
New member
 
Posts: 2
Joined: Thu Mar 15, 2012 5:56 pm

Re: Medibuntu installation on Oneric 11.10

Postby Cenwen » Sat Mar 17, 2012 11:21 am

Hi,
Could you give more explanations about the version of the Openshot that you are using ?

Like you are on Oneiric, you should update MLT for having the last version. It can resolve this issue.
Take a look here how to do that : https://answers.launchpad.net/openshot/+faq/1861
Another thing to do for the Title creator animated 3D : https://answers.launchpad.net/openshot/+faq/1860
Thanks.
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France

Re: Medibuntu installation on Oneric 11.10

Postby tomik » Sat Mar 17, 2012 3:51 pm

Hi,

I am using the latest 1.4.2.

What you say is actually what fixed it -- after spending days trying to search and figure it out I finally installed the sunab ppa, and that fixed it.

I really like Openshot, and think the developers behind it have done a great job, but is it possible to make openshot work with packages that are available from Ubuntu?

I switched from Fedora to Ubuntu because Fedora was a project with too many risky and broken things; Ubuntu is solid and works (for most part) great. When I read that sunab is an experimental repo and that it should be disabled right after, it makes me not want to install it, and likely discourages other users, too.

There must be an easier way to get openshot working on Ubuntu. :)

Just my 2c. :)

Thanks again!

T.
tomik
New member
 
Posts: 2
Joined: Thu Mar 15, 2012 5:56 pm

Re: Medibuntu installation on Oneric 11.10

Postby Andy » Sat Mar 17, 2012 11:11 pm

Unfortunately, Ubuntu don't keep their packages up to date. The main sunab PPA is not experimental, it contains the latest official release of MLT ( and other packages).
User avatar
Andy
Site Admin/Openshot Dev
 
Posts: 960
Joined: Mon Nov 16, 2009 10:51 am
Location: London

Re: Medibuntu installation on Oneric 11.10

Postby hvdwolf » Sat May 05, 2012 9:42 am

Cenwen wrote:
Code: Select all
##Depot Medibuntu
    deb http://packages.medibuntu.org/ oneiric free non-free


Hi Cenwen,

Thanks for this handy post but can you update the post title and content for Precise Pangolin?

Precise 12.04 needs
Code: Select all
##Depot Medibuntu
    deb http://packages.medibuntu.org/ precise free non-free

For experienced Linux users this is very obvious. For starters it is not.
hvdwolf
The voice of Experience
 
Posts: 149
Joined: Sat Apr 21, 2012 1:13 pm
Location: Zwolle, Nederland

Re: Medibuntu installation on Oneric 11.10

Postby Cenwen » Sat May 05, 2012 10:23 am

Yes, I 'll do it this week-end. I've just finished my installation/personalisation of Precise with a lot of surprise. The last on in date is that since this morning I haven no more Unity. :?

And I am using another great alternative that Medibuntu repository (0.8.2 if my memory is good). I am using the Jon sevensen PPA which provide FFmpeg in 10.2. version. I know by the ffmpeg mailing list that the Ubuntu version is voluntary bridle. :evil:
But at first look, it misses me the libxvid codec. And I know that there are a similar problem for EnKodeur-Mixeur.

If you are using already Medibuntu repository, could you confirm me if you got the libxvid Video codec ?
Thanks.
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France

Re: Medibuntu installation on Oneric 11.10

Postby hvdwolf » Sun May 06, 2012 8:14 pm

Cenwen wrote:If you are using already Medibuntu repository, could you confirm me if you got the libxvid Video codec ?
Thanks.

Yes, ffmpeg has it in the medibuntu repository. However, ffmpeg also mentions:
"This program is not developed anymore and is only provided for compatibility. Use avconv instead (see Changelog for the list of incompatible changes)".
Maybe that's already mentioned for a (much) longer tme but now that you so specifically ask, it is the first time I see it.
hvdwolf
The voice of Experience
 
Posts: 149
Joined: Sat Apr 21, 2012 1:13 pm
Location: Zwolle, Nederland

Re: Medibuntu installation on Oneric 11.10

Postby Cenwen » Tue May 08, 2012 12:45 pm

Strange me too that's the first time that I see this message.

Here the post about to install the good version of FFmpeg for using H264, AAC, MP3 codecs. That' s done here : http://openshotusers.com/forum/viewtopic.php?f=12&t=1261
Le jour où j'ai découvert le libre, j'ai su que je ne reviendrai jamais en arrière
Mon blog sur le multimédia, la photo et Openshot : http://linuxevolution.wordpress.com/
Google+ : https://plus.google.com/u/0/111472725110173916234/posts
User avatar
Cenwen
Moderator
 
Posts: 1611
Joined: Wed Nov 18, 2009 4:07 pm
Location: Clermont-Ferrand-Auvergne-France


Return to Installation

Who is online

Users browsing this forum: No registered users